<?php

namespace Drupal\create_user_permission\Routing;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;

/**
 * Subscriber that adds the required permission to the user creation route.
 *
 * @package Drupal\create_user_permission\Routing
 * Listens to the dynamic route events.
 */
class RouteSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  protected function alterRoutes(RouteCollection $collection) {
    if ($route = $collection->get('user.admin_create')) {
      $route->setRequirement('_permission', 'create users');
    }
  }

}
